from PIL import Image 

# On Win: "C:\\folder\\folder\\slika.jpg"
PATH = "/home/cugur/Downloads/matf/dozs/2024/week2/data/yugo.jpg"

with Image.open(PATH) as img:
    print("Originalna slika: {}".format(img.size))
    img.show()

    img1 = img.rotate(45)
    print("Slika rotirana za 45 stepeni: {}".format(img1.size))
    #img1.show()

    # Ukoliko ne zelim da izbacujem delove slike koji se ne uklapaju u prozor originalnih dimenzija 1000x666 piksela:
    img2 = img.rotate(45, expand=True)
    print("Slika rotirana za 45 stepeni ali bez odsecanja delova slike: {}".format(img2.size))
    #img2.show()

    # Sta ako rotiramo za 2 stepena?
    img3 = img.rotate(2, expand=True)
    print("Slika rotirana za 2 stepena: {}".format(img3.size))
    #img3.show()

    # Vezba (zadatak): originalnu sliku automobila "okrenuti naopako".
    img4 = img.rotate(180)
    print("Slika dobijena rotacijom za 180 stepeni: {}".format(img4.size))
    img4.show()
